/*
 * notify-monitor.h - A gobject subclass to watch dbus for org.freedesktop.Notification.Notify messages.
 */

#ifndef __NOTIFY_MONITOR_H__
#define __NOTIFY_MONITOR_H__

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define NOTIFY_MONITOR_TYPE             (notify_monitor_get_type ())
#define NOTIFY_MONITOR(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOTIFY_MONITOR_TYPE, NotifyMonitor))
#define NOTIFY_MONITOR_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), NOTIFY_MONITOR_TYPE, NotifyMonitorClass))
#define IS_NOTIFY_MONITOR(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOTIFY_MONITOR_TYPE))
#define IS_NOTIFY_MONITOR_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), NOTIFY_MONITOR_TYPE))

typedef struct _NotifyMonitor       NotifyMonitor;
typedef struct _NotifyMonitorClass  NotifyMonitorClass;

struct _NotifyMonitor
{
  GObject parent;
};

struct _NotifyMonitorClass
{
  GObjectClass parent_class;
};

GType           notify_monitor_get_type(void);
NotifyMonitor*  notify_monitor_new(void);

G_END_DECLS

#endif /* __NOTIFY_MONITOR_H__ */
